summaryrefslogtreecommitdiff
path: root/source4/autogen.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2009-05-18 15:56:31 +1000
committerAndrew Bartlett <abartlet@samba.org>2009-05-27 12:45:37 +1000
commit078343906d9e403d250639235bf634e1a71e682f (patch)
tree22c6d9f77dd727b3fd6e0c103f2a576333101a33 /source4/autogen.sh
parent6d91ac2a646ae47d359914503030cab51b2c9d16 (diff)
downloadsamba-078343906d9e403d250639235bf634e1a71e682f.tar.gz
samba-078343906d9e403d250639235bf634e1a71e682f.tar.bz2
samba-078343906d9e403d250639235bf634e1a71e682f.zip
Detect missing 'witch' before detecting missing autoconf
Diffstat (limited to 'source4/autogen.sh')
-rwxr-xr-xsource4/autogen.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/source4/autogen.sh b/source4/autogen.sh
index 8b97023073..2d995caeae 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -22,7 +22,12 @@ TESTAUTOCONF="autoconf autoconf-2.53 autoconf2.50 autoconf259 autoconf253"
AUTOHEADERFOUND="0"
AUTOCONFFOUND="0"
-
+if which which > /dev/null 2>&1; then
+ echo -n
+else
+ echo "$0: need 'which' to figure out if we have the right autoconf to build samba from git" >&2
+ exit 1
+fi
##
## Look for autoheader
##